<?
$this->load->view('cpanel/header');
?>


<script>

var xmlhttp;



function GetXmlHttpObject()
{
if (window.XMLHttpRequest)
  {
  // code for IE7+, Firefox, Chrome, Opera, Safari
  return new XMLHttpRequest();
  }
if (window.ActiveXObject)
  {
  // code for IE6, IE5
  return new ActiveXObject("Microsoft.XMLHTTP");
  }
return null;
}




function dopagination(pageNumber)
{
xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }


 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";

var id_trunk=document.getElementById("id_trunk").value;
var id_rate=document.getElementById("id_rate").value;
var calledNumnber=document.getElementById("calledNumnber").value;
var limit=document.getElementById("limit").value;
var clientName=document.getElementById("clientName").value;
var id_reseller=document.getElementById("id_reseller").value;
var clientType=document.getElementById("clientType").value;


if(id_trunk=="")
id_trunk = "NULL";

if(id_rate=="")
id_rate = "NULL";


if(calledNumnber=="")
calledNumnber = "NULL";


if(clientName=="")
clientName = "NULL";


if(id_reseller=="")
id_reseller = "NULL";

if(clientType=="")
clientType = "NULL";


var url = "<?=site_url("call/activeCallListPagination")?>";

var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(pageNumber) + "/"  + escape(limit) + "/" + escape(id_trunk) + "/" + escape(id_rate) + "/" + escape(calledNumnber) + "/" + escape(clientName) + "/" + escape(id_reseller)  + "/" + escape(clientType) + "/" + myRandom, true);
xmlhttp.send(null);
}




function searchActiveCall()
{

xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }


 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";


var id_trunk=document.getElementById("id_trunk").value;
var id_rate=document.getElementById("id_rate").value;
var calledNumnber=document.getElementById("calledNumnber").value;
var limit=document.getElementById("limit").value;
var clientName=document.getElementById("clientName").value;
var id_reseller=document.getElementById("id_reseller").value;
var clientType=document.getElementById("clientType").value;
var startoffset=0;


if(id_trunk=="")
id_trunk = "NULL";

if(id_rate=="")
id_rate = "NULL";


if(calledNumnber=="")
calledNumnber = "NULL";


if(clientName=="")
clientName = "NULL";


if(id_reseller=="")
id_reseller = "NULL";

if(clientType=="")
clientType = "NULL";



var url = "<?=site_url("call/activeCallListPagination")?>";

var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(startoffset) + "/"  + escape(limit) + "/" + escape(id_trunk) + "/" + escape(id_rate) + "/" + escape(calledNumnber) + "/" + escape(clientName) + "/" + escape(id_reseller)  + "/" + escape(clientType) + "/" + myRandom, true);
xmlhttp.send(null);



}




function stateChanged()
{
if (xmlhttp.readyState==4)
{
rowID = "pagination";
document.getElementById("loading").style.visibility = "hidden";
document.getElementById(rowID).innerHTML=xmlhttp.responseText;
}
}



setInterval("searchActiveCall()", 60000);





</script>




<div id = "loading" style="position:absolute;top:200px;left:530px;width;100px;height:100px; bgcolor:#f2f2f2; border:0px solid #99BBE8;zindex:250;display:none;">
<img src="<?=base_url()?>images/indicator2.gif?>" border="0" />
</div>



<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td id="right">

      <img src="<?=base_url()?>images/s.gif" width="600" height="1" border="0" alt="" />
      <div id="module_info">
                  <span>&nbsp;&nbsp;&raquo;</span> <?=$titleMessage?>  <?=$titleErrorMessage?>   </div>


   <!-- Search Information -->

<fieldset class="search_box" id="advancedSearch" style="margin-bottom:0px;"><legend>Advanced Search</legend>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right">Number :</td>
    <td align="left"><input type="text" class = "formInput" name="calledNumnber" id="calledNumnber" value="" style="width:70px"/></td>

    <td align="right">Client :</td>
    <td align="left"><input type="text" class = "formInput" name="clientName" id="clientName" value="" style="width:70px"/></td>

    <td align="right">Parent :</td>
    <td align="left">
    <select name="id_reseller" id="id_reseller" class = "selectFrom" style="width:100px">
    <?=$resellerLevel1List?>
    </select>
    </td>

    <td align="right">Type :</td>
    <td align="left">
    <select name="clientType" id="clientType" class = "selectFrom" style="width:140px">
	 <option value=""> -- Select One --</option>
	 <option value="<?=WHOLESALE_USER?>">Wholesale Client</option>
	 <option value="<?=SIP_USER?>">Retail Client</option>
	 <option value="<?=ANI_USER?>">Calling Card</option>
    </select>
    </td>


    <td align="right">Rate :</td>
    <td align="left">
    <select name="id_rate" id="id_rate" class = "selectFrom" style="width:120px">
    <?=$rateList?>
    </select>
    </td>



    <td align="right">Route :</td>
    <td align="left">
    <select name="id_trunk" id="id_trunk" class = "selectFrom" style="width:100px">
    <?=$trunkList?>
    </select>
    </td>

    <td align="right">Rec :</td>
    <td align="left">
  <select name="limit" id="limit" class = "selectFrom" style="width:60px" onchange="searchActiveCall();">
	<option value="<?=LIMIT_PERPAGE?>"><?=LIMIT_PERPAGE?></option>
	<option value="<?=LIMIT_PERPAGE*2?>"><?=LIMIT_PERPAGE*2?></option>
	<option value="<?=LIMIT_PERPAGE*3?>"><?=LIMIT_PERPAGE*3?></option>
	<option value="<?=LIMIT_PERPAGE*4?>"><?=LIMIT_PERPAGE*4?></option>
</select>
    </td>

<td align="left">

	<a href="#" onclick="javascript:searchActiveCall();">
	<img src="<?=base_url()?>images/apply.gif" height="22" border="0" />
	</a>

</td>

  </tr>
</table>



</fieldset>

   <!-- End Search Information -->

    </td>
  </tr>

  <tr>
    <td>

<div id = "pagination">


	<?php
	$start = $startoffset * $limit + 1;
	$end = ($startoffset +1 )* $limit ;

	if($total<$start)
	$start = $total;

	if($total<=$end)
	$end = $total;
	?>


<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tableBorder">
  <tr>
    <td class="mainTableTitle">

      <span>&nbsp;&nbsp;&raquo;</span> Active Call List Total : <?=$total?> Showing <?=$start?> to <?=$end?>

    </td>
  </tr>


 <tr>
    <td>

 <!-- Clinets List -->

 <table class="gbTable">

   <tr class="header">
     <td width="2%"><div align="left" style="padding-left:5px;">NR</div></td>
     <td width="7%"><div align="left" style="padding-left:5px;">Client</div></td>
     <td width="8%"><div align="left" style="padding-left:5px;">R - I</div></td>
     <td width="8%"><div align="left" style="padding-left:5px;">R - II</div></td>
     <td width="8%"><div align="left" style="padding-left:5px;">R - III</div></td>
     <td width="8%"><div align="left" style="padding-left:5px;">R - IV</div></td>
     <td width="13%"><div align="left" style="padding-left:5px;">Rate</div></td>
     <td width="8%"><div align="left" style="padding-left:5px;">Trunk</div></td>
     <td width="5%"><div align="left" style="padding-left:5px;">Prefix</div></td>
     <td width="9%"><div align="left" style="padding-left:5px;">Number</div></td>
     <td width="11%"><div align="left" style="padding-left:5px;">Call Start</div></td>
     <td width="6%"><div align="left" style="padding-left:5px;">Duration</div></td>
     <td width="7%"><div align="left" style="padding-left:5px;">CallerID</div></td>
   </tr>




<?
$i=1;
if(is_array($callList))
{
foreach($callList as $row)
{
$passid =$row->id;


if($row->id_reseller==-1)
{

  $reseller4Login = "--";
  $reseller3Login = "--";
  $reseller2Login = "--";
  $reseller1Login = "--";
}
else
{
  $reseller1Login = $this->generallib->getResellerLogin($row->id_reseller,1);
  $reseller2ID = $this->generallib->getIDReseller($row->id_reseller,1);
  if($reseller2ID == -1)
  {
     $reseller4Login = "--";
     $reseller3Login = "--";
     $reseller2Login = "--";
  }
  else
  {
    $reseller2Login = $this->generallib->getResellerLogin($reseller2ID,2);
    $reseller3ID = $this->generallib->getIDReseller($reseller2ID,2);
    if($reseller3ID == -1)
    {
      $reseller4Login = "--";
      $reseller3Login = "--";
    }
    else
    {
      $reseller3Login = $this->generallib->getResellerLogin($reseller3ID,3);
      $reseller4ID = $this->generallib->getIDReseller($reseller3ID,3);
      if($reseller4ID == -1)
      {
         $reseller4Login = "--";
      }
      else
      {
         $reseller4Login = $this->generallib->getResellerLogin($reseller4ID,4);
      }
    }


  }



}



$now = date('Y-m-d H:i:s');
$strNow = strtotime($now);
$strCallStart = strtotime($row->call_start);


//$duration = $strNow - $strCallStart;
$duration = $row->duration;

$callDuration  = $this->generallib->sec_to_time($duration);


?>

      <?

	  		if($i%2==0)
	  		 {

	  		 $str = "
	  		 		 <TR id = \"$passid\" class=\"row2 \"
	  		 		               onmousedown=\"rowPointer(this, 'down', 'row2', 'rowSel', 'rowMark')\"
	  		 		               onmouseover=\"rowPointer(this, 'over', 'row2', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row2', 'rowSel', 'rowMark')\">";


	  		 }
	  		else
	  		 {
	  			$str = "
	  					 <TR id = \"$passid\" class=\"row1 \"
	  					               onmousedown=\"rowPointer(this, 'down', 'row1', 'rowSel', 'rowMark')\"
	  					               onmouseover=\"rowPointer(this, 'over', 'row1', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row1', 'rowSel', 'rowMark')\">";
	  		 }



	  echo $str;

	  ?>

 <td align=center class="tableBorderAll" style="padding-left:0px;padding-top:2px;padding-bottom:2px;"><input name="checkActive" type="checkbox"  id="checkActive" value="1" /></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->pinnumber?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$reseller1Login?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$reseller2Login?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$reseller3Login?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$reseller4Login?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->rateName?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->trunkName?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->billing_prefix?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->dialnumber?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->call_start?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$callDuration?></td>
 <td align=left  style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->pinnumber?></td>
   </tr>

<?
$i++;
}

}

?>


 </table>

<!-- End Clients List -->

    </td>
  </tr>

  <tr>
    <td align="center" style="padding-top:5px;">

	<input type="hidden" name="id_trunk" id="id_trunk" value="<?=$id_trunk?>" />
	<input type="hidden" name="limit" id="limit" value="<?=$limit?>" />
	<input type="hidden" name="startoffset" id="startoffset" value="<?=$startoffset?>" />
	<input type="hidden" name="id_rate" id="id_rate" value="<?=$id_rate?>" />
	<input type="hidden" name="clientType" id="clientType" value="<?=$clientType?>" />
	<input type="hidden" name="calledNumnber" id="calledNumnber" value="<?=$calledNumnber?>" />
	<input type="hidden" name="clientName" id="clientName" value="<?=$clientName?>" />
	<input type="hidden" name="id_reseller" id="id_reseller" value="<?=$id_reseller?>" />

<?


      $p = new paginationClass;
      $p->Items($total);

      if($startoffset==0)
      $startoffset = 1;

      $p->limit($limit);
      $p->target("paginator.php");
      $p->currentPage($startoffset);
      $p->adjacents(3);
      $p->show();



?>


    </td>
  </tr>

</table>

</div>



    </td>
  </tr>

</table>


<?
$this->load->view('cpanel/left_nemu');
$this->load->view('cpanel/footer');
?>
